Bug 50185 - show locking process and unlock tray
Summary: show locking process and unlock tray
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: media (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Kevin Ottens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-04 20:59 UTC by Ferdinand Gassauer
Modified: 2006-06-12 12:31 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ferdinand Gassauer 2002-11-04 20:59:45 UTC
Version:           1.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.51.5 (using KDE 3.0.9)
Compiler:          gcc version 3.2
OS:          Linux (i686) release 2.4.19-4GB

Hi!
IMHO a RMB function to display which processes are locking the tray (fsuer) and allow eventualy to kill (and restart) them would be very helpful.
Aparently there are still thousends of possibilities to end up wth a locked tray.
cu
ferdinand
Comment 1 Nicolas Goutte 2005-09-18 03:31:24 UTC
devices: is now media:
Comment 2 Kevin Ottens 2006-06-12 12:31:56 UTC
SVN commit 550578 by ervin:

Merge coolo's branch, it contains quite some fixes and interesting 
features. It'll be available in KDE 3.5.4, couldn't be committed before,
but thanks to the partial feature unfreeze...

FEATURE:
BUG: 50185
BUG: 105482
BUG: 108823
BUG: 114854
BUG: 120619
BUG: 121833
BUG: 127788
CCMAIL: coolo@kde.org


 M  +3 -2      Makefile.am  
 M  +7 -0      configure.in.in  
 M  +2 -2      kcmodule/managermodule.cpp  
 M  +4 -3      kcmodule/notifiermodule.cpp  
 M  +1 -1      kfile-plugin/kfile_media.desktop  
 M  +7 -2      kfile-plugin/kfilemediaplugin.cpp  
 M  +4 -0      libmediacommon/medium.cpp  
 M  +20 -1     libmediacommon/medium.h  
 M  +14 -1     mediaimpl.cpp  
 M  +643 -41   mediamanager/halbackend.cpp   [POSSIBLY UNSAFE: popen]
 M  +20 -0     mediamanager/halbackend.h  
 M  +72 -9     mediamanager/mediamanager.cpp  
 M  +8 -0      mediamanager/mediamanager.h  
 M  +6 -3      medianotifier/medianotifier.cpp  
 M  +1 -1      mounthelper/Makefile.am  
 M  +32 -19    mounthelper/kio_media_mounthelper.cpp  
 AM            propsdlgplugin (directory)   branches/work/coolos_media/propsdlgplugin#549689